local images = import 'images.libsonnet';
local environment = import 'node_modules/@sigyl/jsonnet-drone-environment/environment.libsonnet';

function(secrets)
  images.docker {
    name +: 'build:',
    environment +: environment.environmentSecrets(secrets),
    volumes: [
      {
        name: 'dockersock',
        path: '/var/run',
      },
    ],
    commands: [
      'set -e',
      'sh .drone/login.sh',
      'sh .drone/build.sh',
      'sh .drone/push.sh',
      'sh .drone/logout.sh',
    ],
  }